package cn.gtmap.estateplat.config.core.service;

import cn.gtmap.estateplat.model.server.core.BdcZdFy;

import java.util.HashMap;
import java.util.List;

/**
 * Created by Administrator on 2017/8/30.
 */
public interface BdcFyService {
    /**
     * 根据主键插入或更新法院配置.
     *
     * @param bdcZdFy 法院配置信息
     */
    void insertOrUpdateByPrimaryKey(final BdcZdFy bdcZdFy);

    /**
     * 根据主键删除法院配置.
     *
     * @param ids 主键，多个主键以逗号隔开
     */
    void deleteFyByPrimaryKey(final String ids);

    /**
     * @param
     * @return
     * @auto <a href="mailto:liubin@gtmap.cn">liubin</a>
     * @description 获取法院id和法院名称的HashMap
     **/
    List<HashMap> getBdcFyMapList();

    List<BdcZdFy> getBdcFyListByMap(HashMap hashMap);

}
